# class Log::Destination

A type of log destination.

### Attributes

name[RW]

### Public Class Methods

initvars() click to toggle source

    # File lib/puppet/util/log/destination.rb, line 7
    def self.initvars
      @matches = []
    end

match(obj) click to toggle source

Mark the things we’re supposed to match.

    # File lib/puppet/util/log/destination.rb, line 12
    def self.match(obj)
      @matches ||= []
      @matches << obj
    end

match?(obj) click to toggle source

See whether we match a given thing.

    # File lib/puppet/util/log/destination.rb, line 18
    def self.match?(obj)
      # Convert single-word strings into symbols like :console and :syslog
      if obj.is_a? String and obj =~ /^\w+$/
        obj = obj.downcase.intern
      end

      @matches.each do |thing|
        # Search for direct matches or class matches
        return true if thing === obj or thing == obj.class.to_s
      end
      false
    end

sethandler(&block) click to toggle source

Set how to handle a message.

    # File lib/puppet/util/log/destination.rb, line 40
    def self.sethandler(&block)
      define_method(:handle, &block)
    end

setinit(&block) click to toggle source

Mark how to initialize our object.

    # File lib/puppet/util/log/destination.rb, line 45
    def self.setinit(&block)
      define_method(:initialize, &block)
    end

### Public Instance Methods

name() click to toggle source

    # File lib/puppet/util/log/destination.rb, line 31
    def name
      if defined?(@name)
        return @name
      else
        return self.class.name
      end
    end